Subject: Re: [PATCH v2] receive-pack: not receive pack file with large object

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Oct 2021 11:43:33 -0700

Jeff King <[email-masked]> writes:

> Unlike the patches here, ours is limiting the logical size of an object
> (so a 100MB blob limit is on the uncompressed size). It happens in
> sha1_object(), where we have that size.

I like it when I hear people doing things in the "right" way (the
definition of being "right" in this case is to apply the limit to
the size that is end-user facing---otherwise you cannot justify an
arbitrary limit).  ;-)